<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd">
<hibernate-mapping package="com.eplugger.shop.system.model">
	   <class name="Manager"
        table="manager"
        dynamic-update="false">
	   <id  name="id" column="id" type="string"  unsaved-value="null">
	         <generator class="assigned"/>
	   </id>
	   <property name="name" type="string" column="name"/>
	   <property name="password" type="string" column="password"/>
	   <property name="createTime" type="string" column="create_time"/>
	   <property name="updateTime" type="string" column="update_time"/>
	   <property name="role" type="string" column="role"/>
	   <property name="status" type="boolean" column="status"/>
   </class>
<class name="SystemConfig"
        table="systemconfig"
        dynamic-update="false">
	   <id  name="id" column="id" type="string"  unsaved-value="null">
	         <generator class="assigned"/>
	   </id>
	   <property name="config" type="string" column="config"/>
   </class>
<class name="SystemCss"
        table="system_css"
        dynamic-update="false">
	   <id  name="id" column="id" type="string"  unsaved-value="null">
	         <generator class="assigned"/>
	   </id>
	   <property name="name" type="string" column="name"/>
	   <property name="cssName" type="string" column="css_name"/>
   </class>
<class name="AcLog"
      table="aclog"
      dynamic-update="false">
 <id  name="id" column="UUID" type="string"  unsaved-value="null">
       <generator class="uuid.hex"/>
 </id>
 <property name="pageType" type="string" column="PAGE_TYPE"/>
 <property name="channelId" type="string" column="CHANNEL_ID"/>
 <property name="productId" type="string" column="PRODUCT_ID"/>
 <property name="note" type="string" column="NOTE"/>
 <property name="userId" type="string" column="USER_ID"/>
 <property name="clientIp" type="string" column="CLIENT_IP"/>
 <property name="fromsiteIp" type="string" column="FROMSITE_IP"/>
 <property name="acTime" type="string" column="AC_TIME"/>
 <property name="acCount" type="int" column="AC_COUNT"/>
 <property name="url" type="string" column="URL"/>
 <property name="isfirst" type="boolean" column="ISFIRST"/>
 </class>

<class name="Provider"
  table="provider"
  dynamic-update="false">
<id  name="id" column="id" type="string"  unsaved-value="null">
     <generator class="assigned"/>
</id>
<property name="name" type="string" column="name"/>
<property name="password" type="string" column="password"/>
<property name="createTime" type="string" column="create_time"/>
<property name="updateTime" type="string" column="update_time"/>
<property name="productroles" type="string" column="productroles"/>
<property name="status" type="boolean" column="status"/>
<property name="fullname" type="string" column="fullname"/>
<property name="address" type="string" column="address"/>
<property name="contact" type="string" column="contact"/>
<property name="phone" type="string" column="phone"/>
</class>
</hibernate-mapping>
